=== debian/changelog ===
shim-signed (1.38) cosmic; urgency=medium

  * Don't fail non-interactive upgrade of nvidia module and module removals
    (LP: #1726803)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Oct 2018 18:12:37 +0200
