## shim-signed 1.39~1+deb10u1

=== debian/changelog ===
shim-signed (1.39~1+deb10u1) buster-security; urgency=medium

  * Build against new signed binaries corresponding to 15.7-1~deb10u1
    Pulls multiple bugfixes in for the signed version:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
  * Update build-dep on shim-unsigned to use 15.7-1~deb10u1
  * Block Debian grub binaries with sbat < 4 (see #1024617)
    + Update Depends on grub2-common to match.
  * postinst/postrm: make config_item() more robust

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 Mar 2023 22:39:52 +0000
