## shim-signed 1.39~1+deb11u1

=== debian/changelog ===
shim-signed (1.39~1+deb11u1) bullseye; urgency=medium

  * Build against new signed binaries corresponding to 15.7-1~deb11u1
    Pulls multiple bugfixes in for the signed version:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
  * Update build-dep on shim-unsigned to use 15.7-1~deb11u1
  * Block Debian grub binaries with sbat < 4 (see #1024617)
    + Update Depends on grub2-common to match.
  * postinst/postrm: make config_item() more robust

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 Mar 2023 22:48:46 +0000

shim-signed (1.38) unstable; urgency=medium

  * Tweak how we call grub-install; don't abort on error. Not ideal
    behaviour either, but don't break upgrades. Copy the behaviour
    from the grub packages here. Closes: #990984
  * Update build-dep on shim-unsigned to use 15.4-7

 -- Steve McIntyre <93sam@debian.org>  Mon, 12 Jul 2021 12:46:52 +0100
