## shim-signed 1.39

=== debian/changelog ===
shim-signed (1.39) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.7-1
    + This syncs up build-deps again. Closes: #1016280
    + We now have arm64 signed shims again \o/
      Undo the hacky unsigned arm64 build
      Closes: #1008942, #992073, #991478
    Pulls multiple other bugfixes in for the signed version:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
    + Fixes argument handling bug with some firmware implementations.
      Closes: #995940
  * Update build-dep on shim-unsigned to use 15.7-1
  * Block Debian grub binaries with sbat < 4 (see #1024617)
    + Update Depends on grub2-common to match.
  * postinst/postrm: make config_item() more robust
  * Add pt_BR translation, thanks to Paulo Henrique de Lima
    Santana. Closes: #1026415
  * Tweak dependencies

 -- Steve McIntyre <93sam@debian.org>  Thu, 09 Mar 2023 00:58:53 +0000
