## shim-signed 1.39.1

=== debian/changelog ===
shim-signed (1.39.1) eoan; urgency=medium

  * Pass --timeout -1 to mokutil so that users don't end up with broken
    systems by missing MokManager on reboot after install.  LP: #1856422.
  * Add a versioned dependency on the mokutil that introduces --timeout.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2019 20:58:35 -0800

shim-signed (1.39) disco; urgency=medium

  * debian/source_shim-signed.py: Correct EFI architecture name for arm64.
  * Parameterize code to remove hardcoded x86-isms.
  * Add arm64 support.

 -- dann frazier <dannf@ubuntu.com>  Wed, 14 Nov 2018 11:13:42 -0700
