## shim-signed 1.40

=== debian/changelog ===
shim-signed (1.40) unstable; urgency=medium

  * Stop recommending secureboot-db, we don't have that package.
    Closes: #1042964, #1041449, #932358
  * Add Romanian translation for debconf templates, thanks to
    Remus-Gabriel Chelu. Closes: #1039090

 -- Steve McIntyre <93sam@debian.org>  Fri, 04 Aug 2023 12:21:47 +0100
