=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
  grub2-common (>= 2.06-6)
-Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
