=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
+Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt, efitools
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 
 Package: shim-signed
 Architecture: amd64 arm64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed | grub-efi-arm64-signed, grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.191~) | grub-efi-arm64-signed (>= 1.191~) | base-files (<< 12.3), grub-efi-amd64-signed (>= 1.187.2~) | grub-efi-arm64-signed (>= 1.187.2~), grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
+Breaks: shim (<< 15.3), fwupd-signed (<< 1.44.1~)
+Replaces: shim (<< 15.3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
+XB-Important: yes
+Protected: yes
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or
