=== debian/tests/control ===
Tests: test-is-not-revoked
Restrictions: allow-stderr, needs-root
Depends: shim-signed, grub-efi-amd64-signed | grub-efi-arm64-signed, fwupd-signed, sbsigntool
