## shim-signed 1.41

=== debian/changelog ===
shim-signed (1.41) focal; urgency=medium

  * Update to the signed 15+1552672080.a4a1fbe-0ubuntu1 binary from Microsoft.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Feb 2020 13:04:08 -0800
