## shim-signed 1.44~1+deb10u2

=== debian/changelog ===
shim-signed (1.44~1+deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Build against new signed binaries corresponding to 15.8-1~deb10u2
    - This adds the Freexian CA's alongside Debian's. That means that
      previous binaries (signed by Debian) will still be able to boot,
      as well as new binaries signed by Freexian.
  * Drop the AARCH64 signed binary. It's outdated and is not being used
    anyway as we don't currently support SB on arm64.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Oct 2024 20:40:49 +0200
