=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 9),
- shim-unsigned (= 15.8-1~deb10u1),
+ shim-unsigned (= 15.8-1~deb10u2),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
  shim-helpers-i386-signed [i386],
