=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 9),
- shim-unsigned (= 15.8-1~deb10u2),
+Build-Depends: debhelper (>= 13),
+ shim-unsigned (= 15.8-1~deb11u1),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
  shim-helpers-i386-signed [i386],
@@ -12,7 +12,7 @@
 # which broke our build
  sbsigntool (>= 0.9.2-2),
  po-debconf
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
@@ -27,7 +27,7 @@
  shim-helpers-i386-signed (>= ${helpers:Version}) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
- grub2-common (>= 2.06-3~deb10u4)
+ grub2-common (>= 2.06-3~deb11u6)
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
