## shim-signed 1.44~1+deb12u1

=== debian/changelog ===
shim-signed (1.44~1+deb12u1) bookworm; urgency=medium

  * Build against new signed binaries corresponding to 15.8-1~deb12u1
  * Update build-dep on shim-unsigned to use 15.8-1~deb12u1
  * NOTE: this will block use of older grub binaries with sbat < 4
    + Update Depends on grub2-common to match.
  * Multiple packaging updates backported:
    + Add Romanian translation for debconf templates (thanks to
      Remus-Gabriel Chelu)
    + Stop recommending secureboot-db, we don't have that package
    + Tweak dependencies using substvars (thanks for help from Fabian
      Grünbichler)

 -- Steve McIntyre <93sam@debian.org>  Wed, 03 Jul 2024 21:59:25 +0100
