=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 13),
- shim-unsigned (= 15.8-1~deb11u1),
+ shim-unsigned (= 15.8-1~deb12u1),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
  shim-helpers-i386-signed [i386],
@@ -20,14 +20,14 @@
 Architecture: amd64 i386 arm64
 Multi-Arch: same
 Depends: ${misc:Depends},
- shim-signed-common (>= ${binary:Version}),
+ shim-signed-common (>= ${source:Version}),
  grub-efi-amd64-bin [amd64],
  shim-helpers-amd64-signed (>= ${helpers:Version}) [amd64],
  grub-efi-ia32-bin [i386],
  shim-helpers-i386-signed (>= ${helpers:Version}) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
- grub2-common (>= 2.06-3~deb11u6)
+ grub2-common (>= 2.06-13+deb12u1)
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
