## shim-signed 1.44

=== debian/changelog ===
shim-signed (1.44) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * d/rules: import architecture.mk earlier. Closes: #1074744
  * fix shim-helpers substvar handling

 -- Steve McIntyre <93sam@debian.org>  Wed, 03 Jul 2024 01:08:50 +0100

shim-signed (1.43) unstable; urgency=medium

  * Fix broken usage of dpkg-query

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Jun 2024 13:00:23 +0100

shim-signed (1.42) unstable; urgency=medium

  * Tweak versioning in runtime dependencies, using substvars
    to make things more automatic in future.

 -- Steve McIntyre <93sam@debian.org>  Fri, 28 Jun 2024 00:40:31 +0100

shim-signed (1.41) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.8-1
    + Closes: #1071215
  * NOTE: Stop building packages for i386. The number of functioning
    i386 Secure Boot machines is approximately zero at this point.
  * Tweak packaging:
    + Switch from debian/compat to build-dep on debhelper-compat
      (= 13)

 -- Steve McIntyre <93sam@debian.org>  Wed, 26 Jun 2024 21:04:27 +0100
