=== debian/control ===
--- 
+++ 
@@ -4,30 +4,28 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 13),
- shim-unsigned (= 15.8-1~deb12u1),
+ shim-unsigned (= 15.8-1),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
- shim-helpers-i386-signed [i386],
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
- po-debconf
+ po-debconf,
+ debhelper-compat (= 13)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
 Package: shim-signed
-Architecture: amd64 i386 arm64
+Architecture: amd64 arm64
 Multi-Arch: same
 Depends: ${misc:Depends},
  shim-signed-common (>= ${source:Version}),
  grub-efi-amd64-bin [amd64],
  shim-helpers-amd64-signed (>= ${helpers:Version}) [amd64],
- grub-efi-ia32-bin [i386],
- shim-helpers-i386-signed (>= ${helpers:Version}) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
- grub2-common (>= 2.06-13+deb12u1)
+ grub2-common (>= 2.06-6)
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
