=== debian/changelog ===
shim-signed (1.45) groovy; urgency=medium

  * Merge back changes from focal that got lost in the shim revert, as
    groovy carried on from the reverted 1.41 upload and did not merge
    back 1.40.{1,2,3}:
    - Depend on the correct version of grub-signed (LP: #1871895)
    - Install grub to multiple ESPs (LP: #1871821)
    - Pass --timeout -1 to mokutil in a separate mokutil run (LP: #1869187),
      thanks to Aleksander Miera for the patch.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Oct 2020 11:02:12 +0200

shim-signed (1.44) groovy; urgency=medium

  * Set XB-Important: yes and Protected: yes on shim-signed package
    so that it cannot be removed by accident (LP: #1898729)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 20 Oct 2020 12:05:37 +0200

shim-signed (1.43) groovy; urgency=medium

  * Add download-signed script from linux-signed package
  * Construct and ship dual-signed shim.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Aug 2020 14:23:29 +0100

shim-signed (1.42) groovy; urgency=medium

  * Update to the signed 15+1552672080.a4a1fbe-0ubuntu2 binary from Microsoft.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 03 Aug 2020 12:36:10 +0200
