=== debian/changelog ===
shim-signed (1.46) hirsute; urgency=medium

  * New upstream release 15.4 LP: #1921134
  * Ship fb & mm from shim-signed package.
  * Remove shim-canonical-unsigned dependency, now provided by shim
    itself.
  * Generalize attaching externally supplied signatures, to aid building
    with embargoed or MS external signatures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 12:40:28 +0000
