=== debian/rules ===
--- 
+++ 
@@ -36,3 +36,4 @@
 	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
 		-Vshim:Version=$(SHIM_VERSION) \
 		-Vhelpers:Version=$(SHIM_HELPERS_VERSION)
+
